package com.ruoyi.kaohe.mapper;

import java.util.List;
import com.ruoyi.kaohe.domain.KhGather;

/**
 * 生成汇总Mapper接口
 * 
 * @author hs
 * @date 2025-07-10
 */
public interface KhGatherMapper 
{
    /**
     * 查询生成汇总
     * 
     * @param id 生成汇总主键
     * @return 生成汇总
     */
    public KhGather selectKhGatherById(Long id);

    /**
     * 查询生成汇总列表
     * 
     * @param khGather 生成汇总
     * @return 生成汇总集合
     */
    public List<KhGather> selectKhGatherList(KhGather khGather);

    /**
     * 新增生成汇总
     * 
     * @param khGather 生成汇总
     * @return 结果
     */
    public int insertKhGather(KhGather khGather);

    /**
     * 修改生成汇总
     * 
     * @param khGather 生成汇总
     * @return 结果
     */
    public int updateKhGather(KhGather khGather);

    /**
     * 删除生成汇总
     * 
     * @param id 生成汇总主键
     * @return 结果
     */
    public int deleteKhGatherById(Long id);

    /**
     * 批量删除生成汇总
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteKhGatherByIds(Long[] ids);
}
